0 Favourites

r190 Export Minify script error Java

  • Problem Description

    Version after 186.2 release fails to export with minify on export with nodewebkit.

    r187 changes:

    Updated to the latest version of Google Closure Compiler for minifying scripts.

    Change

    Java 8 broke the way Construct 2 ran the minifier. It now uses a different method to run the minifier which appears to work with Java 8. If you previously uninstalled Java 8 to work around this issue we recommend reinstalling it for this build.

    Attach a Capx

    Any project exported brings up an error message suggesting Java8 installation.

    I use older java version because APK signing hasn't been possible with newer java versions.

    Description of Capx

    -

    Steps to Reproduce Bug

      Open template project export as nodewebkit minify turned on wait until export ready and an error message will pop-up.

    Observed Result

    error saying that minifier has been turned off.

    Expected Result

    Normal export as with r86.2 an earlier versions.

    Affected Browsers

      -

    Operating System and Service Pack

    Win7

    Java 1.6.0_38

    Construct 2 Version ID

    r190

  • Closing as won't fix, the real problem is that the APK signing tool needs to be updated so everyone can be on the latest version of Java. IIRC another user said the new closure compiler does actually still work with Java 7 anyway, so maybe updating to that version will help.

  • Construct 3

    Buy Construct 3

    Develop games in your browser. Powerful, performant & highly capable.

    Buy Now Construct 3 users don't see these ads
  • So whats the workaround for this issue? I have to update to Java 7 or to Java 8?

Jump to:
Active Users
There are 1 visitors browsing this topic (0 users and 1 guests)